package com.ruoyi.platform.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 粉丝对象 platform_follower
 *
 * @author ruoyi
 * @date 2023-01-13
 */
public class PlatformFollower extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 关注的人
     */
    @Excel(name = "关注的人")
    private Long following;

    /**
     * 粉丝
     */
    @Excel(name = "粉丝")
    private Long follower;

    private SysUser followingUser;

    private SysUser followerUser;

    public SysUser getFollowingUser() {
        return followingUser;
    }

    public void setFollowingUser(SysUser followingUser) {
        this.followingUser = followingUser;
    }

    public SysUser getFollowerUser() {
        return followerUser;
    }

    public void setFollowerUser(SysUser followerUser) {
        this.followerUser = followerUser;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setFollowing(Long following) {
        this.following = following;
    }

    public Long getFollowing() {
        return following;
    }

    public void setFollower(Long follower) {
        this.follower = follower;
    }

    public Long getFollower() {
        return follower;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createTime", getCreateTime())
                .append("following", getFollowing())
                .append("follower", getFollower())
                .toString();
    }
}
