package com.ruoyi.store.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 店家账号对象 platform_store_account
 *
 * @author ruoyi
 * @date 2023-02-10
 */

@TableName("platform_store_account")
public class StoreAccount extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.AUTO)
    private Long storeid;

    /**
     * 中国大陆手机号
     */
    @Excel(name = "中国大陆手机号")
    private String mobile;

    /**
     * HS512 加密
     */
    @Excel(name = "HS512 加密")
    private String password;

    /**
     * 枚举值、详看数据字典编码
     */
    @Excel(name = "枚举值、详看数据字典编码")
    private Long status;

    /**
     * yyyy-MM-dd
     */
    @Excel(name = "yyyy-MM-dd")
    private Date registerdate;

    /**
     * 待确定格式
     */
    @Excel(name = "待确定格式")
    private String nickname;

    /**
     * 枚举值、详看数据字典编码
     */
    @Excel(name = "枚举值、详看数据字典编码")
    private Long sex;

    /**
     * 待确定存储格式
     */
    @Excel(name = "待确定存储格式")
    private String avatar;

    /**
     * yyyy-MM-dd
     */
    @Excel(name = "yyyy-MM-dd")
    private Date logindate;

    public void setStoreid(Long storeid) {
        this.storeid = storeid;
    }

    public Long getStoreid() {
        return storeid;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getMobile() {
        return mobile;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPassword() {
        return password;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setRegisterdate(Date registerdate) {
        this.registerdate = registerdate;
    }

    public Date getRegisterdate() {
        return registerdate;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getNickname() {
        return nickname;
    }

    public void setSex(Long sex) {
        this.sex = sex;
    }

    public Long getSex() {
        return sex;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setLogindate(Date logindate) {
        this.logindate = logindate;
    }

    public Date getLogindate() {
        return logindate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("storeid", getStoreid())
                .append("mobile", getMobile())
                .append("password", getPassword())
                .append("status", getStatus())
                .append("registerdate", getRegisterdate())
                .append("nickname", getNickname())
                .append("sex", getSex())
                .append("avatar", getAvatar())
                .append("logindate", getLogindate())
                .toString();
    }
}
